# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			vamp-plugin-tester
Summary:		Vamp Plugin Tester
Group:			Productivity/Multimedia/Sound/Utilities
URL:			http://sourceforge.net/projects/vamp/
Version:		0.1
Release:		3.6
License: GPL-2.0
Source:			http://downloads.sourceforge.net/vamp/%{name}-%{version}.tar.bz2
BuildRequires:	gcc-c++
BuildRequires:	vamp-plugin-sdk-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build

%description
This program tests Vamp audio feature extraction plugins for
certain common failure cases.

To test a single plugin, run vamp-plugin-tester with the name
of your plugin library and plugin identifier, separated by a
colon.

For example:
$ vamp-plugin-tester vamp-example-plugins:amplitudefollower

The plugin library must be installed in the Vamp plugin path
(you cannot give the path to the library file).

If you run vamp-plugin-tester with no arguments, it will test
all plugins found in your Vamp plugin path.



%prep
%setup -q -n %{name}-%{version}

%build
%__make %{?jobs:-j%{jobs}} \
	CXXFLAGS="$RPM_OPT_FLAGS"

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
	%{buildroot}%{_bindir}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%doc COPYING README
%{_bindir}/%{name}

%changelog
* Fri Mar 20 2009 toni@links2linux.de
- initial package 0.1
